/*
 =============================================================
 = Foundation Utimate                                         =
 = http://github.com/relution-developments/foundation-remix  =
 = --------------------------------------------------------- =
 = Copyright (c) 2016 - Relution Developments Ltd            =
 = Licensed under the MIT license.                           =
 = @author JayDemitri                                        =
 =============================================================
 */
var color = require('cli-color');
var orange = color.xterm(202);
var helpOutput = {
    'default': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '',
        '   ' + color.whiteBright('Commands:') + '\n',
        '------------------------------------------------------------------------------\n',
        ''+color.cyan('     install')+'      '+color.cyan('Install Foundation Ultimate')+'\n',
        ''+color.cyan('     update ')+'      '+color.cyan('Update Foundation Ultimate')+'\n',
        ''+color.cyan('     help   ')+'      '+color.cyan('Show this screen')+'\n',
        ''+color.cyan('     new    ')+'      '+color.cyan('Create a new project')+'\n',
        ''+color.cyan('     spawn  ')+'      '+color.cyan('Create a new project from the current projects settings')+'\n',
        ''+color.cyan('     mirror ')+'      '+color.cyan('Create a copy of the current project')+'\n',
        ''+color.cyan('     preview')+'      '+color.cyan('Build Src to preview in browser')+'\n',
        ''+color.cyan('     build  ')+'      '+color.cyan('Build SRC >> DIST >> RELEASE')+'\n',
        ''+color.cyan('     debug  ')+'      '+color.cyan('Run Preview in debug')+'\n',
        ''+color.cyan('     test   ')+'      '+color.cyan('Run All Unit Tests for All Languages')+'\n',
        ''+color.cyan('     -v     ')+'      '+color.cyan('Display the CLI\'s version')+'',
        '',
        color.whiteBright('To learn more about a specific command, type ' + 'foundation-remix help <command>'),
        '',
        '------------------------------------------------------------------------------',
        '                                                ' + color.whiteBright(' FoundationRemix > Help > Home') + '',
    ],
    'install': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                Install Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                             ' + color.whiteBright(' FoundationRemix > Help > Install') + '',
    ],
    'update': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                Update Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                             ' + color.whiteBright(' FoundationRemix > Help > Update') + '',
    ],
    'new': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                   New Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                                ' + color.whiteBright(' FoundationRemix > Help > New') + '',
    ],
    'spawn': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                 Spawn Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                              ' + color.whiteBright(' FoundationRemix > Help > Spawn') + '',
    ],
    'mirror': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                Mirror Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                             ' + color.whiteBright(' FoundationRemix > Help > Mirror') + '',
    ],
    'preview': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                 Preview Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                            ' + color.whiteBright(' FoundationRemix > Help > Preview') + '',
    ],
    'build': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                Build Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                              ' + color.whiteBright(' FoundationRemix > Help > Build') + '',
    ],
    'debug': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                 Debug Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                              ' + color.whiteBright(' FoundationRemix > Help > Debug') + '',
    ],
    'test': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '\n                                  Test Help \n',
        '\n                               (Coming - Soon) \n',
        '------------------------------------------------------------------------------',
        '                                               ' + color.whiteBright(' FoundationRemix > Help > Test') + '',
    ],
    'help': [
        '------------------------------------------------------------------------------',
        '',
        '                    ' + color.cyanBright('F O U N D A T I O N   U L T I M A T E') + '',
        '                    -------------------------------------',
        '                        ' + color.cyan('BluJay - Relution Developments') + '',
        '',
        '------------------------------------------------------------------------------',
        '',
        color.whiteBright('     Okay, don\'t get clever. But seriously:'),
        '',
        color.whiteBright('     Usage:\n'),
        '       foundation-remix help\n',
        '       foundation-remix help <command>\n',
        '',
        color.whiteBright('     Type foundation-remix help to see a list of every command,'),
        '',
        color.whiteBright('     or foundation-remix help <command> to learn about a command.'),
        '',
        '------------------------------------------------------------------------------',
        '                                                ' + color.whiteBright(' FoundationRemix > Help > Help') + '',
    ]
}


module.exports = function (args, options) {
    var output;
    if(typeof args === 'undefined' || args.length === 0){
        output = 'default'
    }else{
        output = args[0]
    }
    // A line break is added before and after the text just incase
    output = '\n' + helpOutput[output].join('\n') + '\n\n'

    process.stdout.write(output);
};